PDA

View Full Version : Pre/Post script in Amanda 2.5.1 - is it posible?



Topper
April 6th, 2009, 04:45 AM
Hello community,
I'm just first time starter with Amanda.
Due to machine limitation (kernel and software) we can't use the last vers 2.6.1
So we installed 2.5.1 works like a charm but now first operational problem:
We must issue prearhive command like "rcapplication stop". After 2 days read of wiki and howtos I managed to write script but there are many errors after amcheck config.
My question is: Is it possible to use pre/post script in 2.5.1 anyhow?
If not - is it there some workarrounds or we must use console scripts like

#bash
rcapp stop
su - amandabackup -c "amdump config"
rcapp start

Thanks in adv for any opinion.

techfreakz
May 8th, 2009, 10:42 AM
Hi there,
Did you have any success in finding the solution to your problem?

I have Zmanda 2.6.4 installed on a VM running on ESXi and intend to use it to backup an iSCSI snapshot and to do so, i must mount the snapshot, perform the backup, then unmount it again. Sounds like a job for a pre & post script........

I'd be very interested to find out your progress.

Best regards

Alex

paddy
May 8th, 2009, 11:35 AM
Hi there,
Did you have any success in finding the solution to your problem?

I have Zmanda 2.6.4 installed on a VM running on ESXi and intend to use it to backup an iSCSI snapshot and to do so, i must mount the snapshot, perform the backup, then unmount it again. Sounds like a job for a pre & post script........

I'd be very interested to find out your progress.

Best regards

Alex

Amanda Enterprise 3.0 can do this (Amanda community 2.6.1 also can). Please contact Zmanda Services for help if you are interested.

Paddy